Subject: Re: [RFC PATCH net-next v2 0/4] ice: PPPoE offload support

From: Jakub Kicinski <[email-masked]>
Date: Tue, 28 Jun 2022 21:39:42 -0700

On Tue, 28 Jun 2022 13:29:14 +0200 Marcin Szycik wrote:
> Add support for dissecting PPPoE and PPP-specific fields in flow dissector:
> PPPoE session id and PPP protocol type. Add support for those fields in
> tc-flower and support offloading PPPoE. Finally, add support for hardware
> offload of PPPoE packets in switchdev mode in ice driver.
> 
> Example filter:
> tc filter add dev $PF1 ingress protocol ppp_ses prio 1 flower pppoe_sid \
>     1234 ppp_proto ip skip_sw action mirred egress redirect dev $VF1_PR
> 
> Changes in iproute2 are required to use the new fields (will be submitted
> soon).
> 
> ICE COMMS DDP package is required to create a filter in ice.
> 
> Note: currently matching on vlan + PPPoE fields is not supported. Patch [0]
> will add this feature.

Please make sure to CC Guillaume Nault <[email-masked]> 
and PPP folks from MAINTAINERS.